Subject: Renamings

From: Mikhael Goikhman <[email-masked]>
Date: Sat, 2 Nov 2002 14:05:17 +0000

On 01 Nov 2002 15:06:22 +0100, Dominik Vogt wrote:
> 
> By the way, I think all the
> 
>   ...Strut
> 
> stuff is misnamed.  It should all be named
> 
>   ...Struts
>          ^^^

I think it should follow the same logic as Border/NoBorder (I hope we will
have side border options: !TitleBorder, !SideBorders, !OppositeBorder).

> And I think
> 
>   PlacementOverlap(Percent)Penalties
> 
> should be renamed to
> 
>   MinOverlap(Percent)PlacementPenalties

This would be more intuitive.

> So, don't be surprised when the old names stop working in future
> 2.5.x releases.
> 
> Also, I think the arguments of the EwmhBaseStrut command should
> use "percent of screen size" as the default unit, not "pixels",
> since virtually all other commands work like this.  The new
> syntax would the be
> 
>   EwmhBaseStrut 0p 576p 0p 432p

To be honest, I would break compatibility (maybe in 3.0?) and use points
for numbers without suffix and percents for numbers with '%' suffix. I.e.:

  48  - 48 points (currently percents)
  48p - 48 points
  48% - 48 percents (currently not really supported, but it works)

I think, it is good to add support for '%' in our geometry too.

Regards,
Mikhael.
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Cameron Simpson <[email-masked]>
Date: Sun, 3 Nov 2002 15:28:54 +1100

On 14:05 02 Nov 2002, Mikhael Goikhman <[email-masked]> wrote:
| > Also, I think the arguments of the EwmhBaseStrut command should
| > use "percent of screen size" as the default unit, not "pixels",
| > since virtually all other commands work like this.  The new
| > syntax would the be
| > 
| >   EwmhBaseStrut 0p 576p 0p 432p
| 
| To be honest, I would break compatibility (maybe in 3.0?) and use points
| for numbers without suffix and percents for numbers with '%' suffix. I.e.:
| 
|   48  - 48 points (currently percents)
|   48p - 48 points
|   48% - 48 percents (currently not really supported, but it works)
| 
| I think, it is good to add support for '%' in our geometry too.

While renaming thing, could we say "pixels" when we mean "pixels"?
"points" is a printing measure, about 1/72nd of an inch. Since it _is_
a unit of measure, and used in font size specs (yea, even in X11 font
specs), could we avoid the word "points".

Cheers,
-- 
Cameron Simpson, DoD#743        [email-masked]    http://www.zip.com.au/~cs/

I'll keep repeating this as long as I have to: Insult is the tactic of a man
without an argument.	- Andrew Stephen Damick, alt.config
Repetition is the tactic of a mandy patinkin fan with wood chips between his
ears.			- Peter Berger, alt.config
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Mikhael Goikhman <[email-masked]>
Date: Sun, 3 Nov 2002 04:39:16 +0000

> specs), could we avoid the word "points".

Yes, of course, I meant pixels, not points.

Regards,
Mikhael.

---

From: Dominik Vogt <[email-masked]>
Date: Sun, 3 Nov 2002 23:00:36 +0100

On Sat, Nov 02, 2002 at 02:05:17PM +0000, Mikhael Goikhman wrote:
> I think it should follow the same logic as Border/NoBorder

Border and NoBorder were okay as long as the whole border was
treated as a single object.  When it gets split into four parts,
is should be Borders and NoBorders.  The struts are four separate
things by design.

> (I hope we will

Later.

> I think, it is good to add support for '%' in our geometry too.

I have no objections against an additional '%' suffix.  But the
problem with breaking compatibility here is that it is virtually
impossible to write a script that converts existing configs to the
new syntax.

Bye

Dominik ^_^  ^_^

 --
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]